A valid request URL is required to generate request examples"<string>"Get query execution plan explanation
Get the query execution plan for a query against table id.
Returns a human-readable explanation of how the query will be executed.
REST NAMESPACE ONLY
REST namespace returns the response as a plain string
instead of the ExplainTableQueryPlanResponse JSON object.
curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/explain_plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": {
"k": 1,
"vector": {
"single_vector": [
123
],
"multi_vector": [
[
123
]
]
},
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
],
"bypass_vector_index": true,
"columns": {
"column_names": [
"<string>"
],
"column_aliases": {}
},
"distance_type": "<string>",
"ef": 1,
"fast_search": true,
"filter": "<string>",
"full_text_query": {},
"lower_bound": 123,
"nprobes": 1,
"offset": 1,
"prefilter": true,
"refine_factor": 1,
"upper_bound": 123,
"vector_column": "<string>",
"version": 1,
"with_row_id": true
},
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
],
"verbose": false
}
'"<string>"Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
Show child attributes
Show child attributes
Identity information of a request.
Show child attributes
Show child attributes
Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.
REST NAMESPACE ONLY
Context entries are passed via HTTP headers using the naming convention
x-lance-ctx-<key>: <value>. For example, a context entry
{"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.
Show child attributes
Show child attributes
Whether to return verbose explanation
Response
Query execution plan explanation
Human-readable query execution plan
Was this page helpful?